## org.apache.batik.util.gui.xmleditor
Class XMLScanner

    java.lang.Object
      org.apache.batik.util.gui.xmleditor.XMLScanner

    public class XMLScanner

extends java.lang.Object

XML scanner for parsing xml text

Field Summary
`static int` `ATTRIBUTE_NAME_CONTEXT`
`static int` `ATTRIBUTE_VALUE_CONTEXT`
`static int` `CDATA_CONTEXT`
`static int` `CHARACTER_DATA_CONTEXT`
`static int` `COMMENT_CONTEXT`
`static int` `DEFAULT_CONTEXT`
`static int` `DOCTYPE_CONTEXT`
`static int` `ELEMENT_CONTEXT`
`static int` `ELEMENT_DECLARATION_CONTEXT`
`static int` `ENTITY_CONTEXT`
`static int` `EOF_CONTEXT`
`static int` `PI_CONTEXT`
`static int` `TEMP_ERROR_CONTEXT`
`static int` `XML_DECLARATION_CONTEXT`

Constructor Summary
`XMLScanner()`

Method Summary
`int` `getScanValue()`
`int` `getStartOffset()`
`protected int` `nextChar()`
`void` `reset()`
`int` `scan(int context)`
`void` `setString(java.lang.String string)`
`protected int` `skipSpaces()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEMP_ERROR_CONTEXT

    public static final int TEMP_ERROR_CONTEXT

See Also:
  Constant Field Values

### EOF_CONTEXT

    public static final int EOF_CONTEXT

See Also:
  Constant Field Values

### DEFAULT_CONTEXT

    public static final int DEFAULT_CONTEXT

See Also:
  Constant Field Values

### COMMENT_CONTEXT

    public static final int COMMENT_CONTEXT

See Also:
  Constant Field Values

### ELEMENT_CONTEXT

    public static final int ELEMENT_CONTEXT

See Also:
  Constant Field Values

### CHARACTER_DATA_CONTEXT

    public static final int CHARACTER_DATA_CONTEXT

See Also:
  Constant Field Values

### ATTRIBUTE_NAME_CONTEXT

    public static final int ATTRIBUTE_NAME_CONTEXT

See Also:
  Constant Field Values

### ATTRIBUTE_VALUE_CONTEXT

    public static final int ATTRIBUTE_VALUE_CONTEXT

See Also:
  Constant Field Values

### XML_DECLARATION_CONTEXT

    public static final int XML_DECLARATION_CONTEXT

See Also:
  Constant Field Values

### DOCTYPE_CONTEXT

    public static final int DOCTYPE_CONTEXT

See Also:
  Constant Field Values

### ENTITY_CONTEXT

    public static final int ENTITY_CONTEXT

See Also:
  Constant Field Values

### ELEMENT_DECLARATION_CONTEXT

    public static final int ELEMENT_DECLARATION_CONTEXT

See Also:
  Constant Field Values

### CDATA_CONTEXT

    public static final int CDATA_CONTEXT

See Also:
  Constant Field Values

### PI_CONTEXT

    public static final int PI_CONTEXT

See Also:
  Constant Field Values

Constructor Detail

### XMLScanner

    public XMLScanner()

Method Detail

### reset

    public void reset()

### setString

    public void setString(java.lang.String string)

### nextChar

    protected int nextChar()

### skipSpaces

    protected int skipSpaces()

### getScanValue

    public int getScanValue()

### getStartOffset

    public int getStartOffset()

### scan

    public int scan(int context)

Copyright © 2008 Apache Software Foundation. All Rights Reserved.